Package org.apache.felix.eventadmin.impl.util

## Class Matchers

- java.lang.Object
- - org.apache.felix.eventadmin.impl.util.Matchers

    public abstract class Matchers
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `Matchers.Matcher` The matcher interface for checking if timeout handling is disabled for the handler.

### Constructor Summary

Constructors
`Matchers()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Matchers.Matcher[]` `createEventTopicMatchers​(String[] config)`
`static Matchers.Matcher[]` `createPackageMatchers​(String[] ignoreTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Matchers

    public Matchers()

### Method Detail

#### createEventTopicMatchers

    public static Matchers.Matcher[] createEventTopicMatchers​(String[] config)

#### createPackageMatchers

    public static Matchers.Matcher[] createPackageMatchers​(String[] ignoreTimeout)